Skip to main content
GET
/
2022-06-09
/
actions
/
{actionId}
Get Action Status
curl --request GET \
  --url https://staging.crossmint.com/api/2022-06-09/actions/{actionId} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://staging.crossmint.com/api/2022-06-09/actions/{actionId}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://staging.crossmint.com/api/2022-06-09/actions/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "actionId": "66881a4d-eff9-467a-b19d-a2ff76eef5c2",
  "action": "nfts.create",
  "status": "pending",
  "data": {
    "collection": {
      "id": "someCollection",
      "contractAddress": "0x0B7c736cD6D517b6AFfB3F6151eC662B0000018B"
    },
    "recipient": {
      "walletAddress": "0x6Def4FF2Efe3731EB2Ca09c625d21bfd6da00000"
    },
    "token": {
      "id": "66881a4d-eff9-467a-b19d-a2ff76eef5c2"
    }
  },
  "startedAt": "2023-10-02T22:10:41.000Z",
  "resource": "https://staging.crossmint.com/api/2022-06-09/actions/66881a4d-eff9-467a-b19d-a2ff76eef5c2"
}
{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}
{
"error": true,
"message": "Not found"
}
{
"error": true,
"message": "A timeout occurred."
}
The shape of the data property in the 200 response for this API depends on the type of action initially performed. For example, minting/burning an NFT, creating/updating a collection or template, or NFT transfers.
The action property will indicate the type of action originally performed and will be one of:
  • nfts.create
  • nfts.delete
  • nfts.update
  • collections.create
  • collections.update
  • wallets:nfts.transfer

Authorizations

X-API-KEY
string
header
required

Obtained in the Crossmint developer console

Path Parameters

actionId
string
required

The actionId.

Response

Success

actionId
string<uuid>
Example:

"66881a4d-eff9-467a-b19d-a2ff76eef5c2"

action
string
Example:

"nfts.create"

status
string
Example:

"pending"

data
object
startedAt
string<date-time>
Example:

"2023-10-02T22:10:41.000Z"

resource
string<uri>
Example:

"https://staging.crossmint.com/api/2022-06-09/actions/66881a4d-eff9-467a-b19d-a2ff76eef5c2"